org.firstinspires.ftc.robotcore.external.navigation

## Enum DistanceUnit

- java.lang.Object
- - java.lang.Enum<DistanceUnit>
  - - org.firstinspires.ftc.robotcore.external.navigation.DistanceUnit

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DistanceUnit>

      public enum DistanceUnit
      extends java.lang.Enum<DistanceUnit>

  `DistanceUnit` represents a unit of measure of distance.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CM`
    `INCH`
    `METER`
    `MM`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `bVal`
    `static double` | `infinity`
    `static double` | `mmPerInch`
    `static double` | `mPerInch`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `fromCm(double cm)`
    `double` | `fromInches(double inches)`
    `double` | `fromMeters(double meters)`
    `double` | `fromMm(double mm)`
    `double` | `fromUnit(DistanceUnit him, double his)`
    `double` | `toCm(double inOurUnits)`
    `double` | `toInches(double inOurUnits)`
    `double` | `toMeters(double inOurUnits)`
    `double` | `toMm(double inOurUnits)`
    `java.lang.String` | `toString()`
    `java.lang.String` | `toString(double inOurUnits)`
    `static DistanceUnit` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DistanceUnit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### METER

          public static final DistanceUnit METER

    - #### CM

          public static final DistanceUnit CM

    - #### MM

          public static final DistanceUnit MM

    - #### INCH

          public static final DistanceUnit INCH

  - ### Field Detail

    - #### bVal

          public final byte bVal

    - #### infinity

          public static final double infinity

      See Also:
        Constant Field Values

    - #### mmPerInch

          public static final double mmPerInch

      See Also:
        Constant Field Values

    - #### mPerInch

          public static final double mPerInch

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static DistanceUnit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DistanceUnit c : DistanceUnit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DistanceUnit valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromMeters

          public double fromMeters(double meters)

    - #### fromInches

          public double fromInches(double inches)

    - #### fromCm

          public double fromCm(double cm)

    - #### fromMm

          public double fromMm(double mm)

    - #### fromUnit

          public double fromUnit(DistanceUnit him,
                                 double his)

    - #### toMeters

          public double toMeters(double inOurUnits)

    - #### toInches

          public double toInches(double inOurUnits)

    - #### toCm

          public double toCm(double inOurUnits)

    - #### toMm

          public double toMm(double inOurUnits)

    - #### toString

          public java.lang.String toString(double inOurUnits)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DistanceUnit>`